﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public enum LightColor
{
    Red,                    // Life
    Orange,                 // Healing
    Yellow,                 // Sunlight
    Green,                  // Nature
    Blue,                   // Serenity/Harmont (indigo blue)
    Violet                  // Spirit
}

public class ColorDatabase
{
    private Dictionary<LightColor, Color> colorMappings; 

    public Color this[LightColor lc]
    {
        get
        {
            return colorMappings[lc];
        }
    }

    public ColorDatabase()
    {
        colorMappings = new Dictionary<LightColor, Color>();

        colorMappings.Add(LightColor.Red, Color.red);
        colorMappings.Add(LightColor.Orange, new Color(1.0f, 0.65f, 0.0f));
        colorMappings.Add(LightColor.Yellow, Color.yellow);
        colorMappings.Add(LightColor.Green, Color.green);
        colorMappings.Add(LightColor.Blue, Color.blue);
        colorMappings.Add(LightColor.Violet, new Color(0.93f, 0.51f, 0.93f));
    }

}
