﻿using System.Collections.Generic;

namespace Data
{
    public enum ColorFilterType
    {
        None,
        Contraint
    }

    public abstract class BaseColorFilter
    {
        public abstract bool Accept(LightColor color);
    }

    public class NoneColorFilter : BaseColorFilter
    {
        public override bool Accept(LightColor color)
        {
            return true;
        }
    }

    public class ContraintColorFilter : BaseColorFilter
    {
        private Dictionary<LightColor, LightColor> filterColorMap;

        public ContraintColorFilter(List<LightColor> filterColors)
        {
            this.filterColorMap = new Dictionary<LightColor, LightColor>();
            foreach (LightColor lightColor in filterColors)
            {
                this.filterColorMap.Add(lightColor, lightColor);
            }
        }

        public override bool Accept(LightColor color)
        {
            return this.filterColorMap.ContainsKey(color);
        }
    }
}
