﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Networking.NetworkSystem;

namespace Data
{
    public enum ColorShifterType
    {
        None,
        Multiple
    }

    public abstract class BaseColorShifter
    {
        public abstract List<LightColor> Shift(LightColor originalLightColor);
    }

    public class NoneColorShifter : BaseColorShifter
    {
        public override List<LightColor> Shift(LightColor originalLightColor)
        {
            List<LightColor> shiftedColorList = new List<LightColor>();
            shiftedColorList.Add(originalLightColor);
            return shiftedColorList;
        }
    }

    public class MultipleColorShifter : BaseColorShifter
    {
        private readonly List<LightColor> shiftedColorList;

        public MultipleColorShifter(List<LightColor> filterColors)
        {
            this.shiftedColorList = filterColors;
        }

        public override List<LightColor> Shift(LightColor originalLightColor)
        {
            return this.shiftedColorList;
        }
    }
}
