﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class LevelEnd : MonoBehaviour
{
    public GameObject nextButtonCanvas;
    public float scaleSpeed = 5;
    public float delayTime=2f;


    [SerializeField]
    private Transform star;

    public void Start()
    {
        FindObjectOfType<Goal>().OnPuzzleSolved += LevelEnd_OnPuzzleSolved;
        if (!(SceneManager.GetActiveScene().buildIndex < 3))
        {
            nextButtonCanvas.gameObject.transform.FindChild("NextButton").GetComponent<Button>().interactable = false;
            nextButtonCanvas.gameObject.transform.FindChild("NextButton").GetComponent<Text>().text = "FINITO!";
        }
    }

    private void LevelEnd_OnPuzzleSolved(Goal goal)
    {
        StartCoroutine(LevelEndRoutine());
    }

    public IEnumerator LevelEndRoutine()
    {
        yield return new WaitForSeconds(delayTime);
        float time = 3;
        while (time >= 0)
        {
            star.position = new Vector3(star.position.x, star.position.y, 15f);
            time -= Time.deltaTime;
            star.localScale += Vector3.one * Time.deltaTime * scaleSpeed;
            yield return null;
        }
        nextButtonCanvas.SetActive(true);

    }

    public void OnNextLevelButtonPressed()
    {
        Debug.Log("scene count  " + SceneManager.sceneCount + " " +"build index "+ SceneManager.GetActiveScene().buildIndex);
        if (SceneManager.GetActiveScene().buildIndex<3)
        {
            SceneManager.LoadSceneAsync(SceneManager.GetActiveScene().buildIndex + 1); 
        }
        else
        {
            //oyun bitti FINITO
            nextButtonCanvas.gameObject.transform.FindChild("NextButton").GetComponent<Button>().interactable=false;
            nextButtonCanvas.gameObject.transform.FindChild("NextButton").GetComponent<Text>().text = "FINITO!";
        }
    }
}
