﻿using System.Collections;
using System.Collections.Generic;
using Interactables;
using UnityEngine;

public class MouseControl : MonoBehaviour
{
    [SerializeField]
    private BaseInteractable ownerInteractable;

    private const float MinDistanceToGoal = 10;

    private Transform goalTransform;

    private GameLogic gameLogic;

    private void Awake()
    {
        goalTransform = GameObject.Find("GoalSphere").transform;
        gameLogic = GameObject.FindObjectOfType<GameLogic>();
    }

    public void OnMouseDrag()
    {
        if (!gameLogic.IsPlaying)
        {
            return;
        }

        if (ownerInteractable.IsLocked)
        {
            return;
        }

        Vector3 mousePosition = new Vector3(Input.mousePosition.x, Input.mousePosition.y);
        mousePosition = Camera.main.ScreenToWorldPoint(mousePosition);
        mousePosition.z = 0;

        float distanceToGoal = Vector3.Distance(goalTransform.position, mousePosition);
        if (distanceToGoal > MinDistanceToGoal)
        {
            transform.position = mousePosition;
        }
    }
}
