﻿using System.Collections.Generic;
using Data;

namespace Utilities
{
    public static class ColorShifterFactory
    {
        public static BaseColorShifter CreateColorShifter(ColorShifterType colorShifterType, List<LightColor> filterColors)
        {
            switch (colorShifterType)
            {
                case ColorShifterType.None:
                    return new NoneColorShifter();
                case ColorShifterType.Multiple:
                    return new MultipleColorShifter(filterColors);
            }
            return null;
        }
    }
}